<?php
/*-----------------------------------------------------------------------------------*/
/* Framework Settings page - woothemes_framework_settings_page */
/*-----------------------------------------------------------------------------------*/

function woothemes_framework_settings_page(){
    $themename =  get_option('woo_themename');      
    $manualurl =  get_option('woo_manual'); 
	$shortname =  'framework_woo'; 

    //Framework Version in Backend Head
    $woo_framework_version = get_option('woo_framework_version');
    
    //Version in Backend Head
    $theme_data = get_theme_data(TEMPLATEPATH . '/style.css');
    $local_version = $theme_data['Version'];
    
    //GET themes update RSS feed and do magic
	include_once(ABSPATH . WPINC . '/feed.php');

	$pos = strpos($manualurl, 'documentation');
	$theme_slug = str_replace("/", "", substr($manualurl, ($pos + 13))); //13 for the word documentation
	
    //add filter to make the rss read cache clear every 4 hours
    add_filter( 'wp_feed_cache_transient_lifetime', create_function( '$a', 'return 14400;' ) );
	
	$framework_options = array();
	
	$framework_options[] = array( 	"name" => "Настройки Фреймворка (Framework)",
									"type" => "heading");

	$framework_options[] = array( 	"name" => "Включить показ опций",
									"desc" => "Включить возможность показа опций Woo в информационных целях. Вы можете посмотреть опции темы по адресу вида http://yoursite.com/?options=woo.",
									"id" => $shortname."_show_options",
									"std" => "",
									"type" => "checkbox");
                           
	$framework_options[] = array( 	"name" => "Проверка версии темы",
									"desc" => "Благодаря этому на странице настроек темы будут выводиться оповещения о доступной новой версии темы.",
									"id" => $shortname."_theme_version_checker",
									"std" => "",
									"type" => "checkbox");	
									
	$framework_options[] = array( 	"name" => "Выключить вкладку Покупка тем",
									"desc" => "Выключить вкладку Купить темы. На этой странице показаны новые темы с сайта WooThemes.com.",
									"id" => $shortname."_buy_themes",
									"std" => "",
									"type" => "checkbox");	
								
	$framework_options[] = array( 	"name" => "Отключить список стилей shortcodes.css",
									"desc" => "Отключает вывод shortcodes.css в секции HEAD вашего сайта.",
									"id" => $shortname."_disable_shortcodes",
									"std" => "",
									"type" => "checkbox");	
									
	$framework_options[] = array( 	"name" => "Удалить мета-теги Generator",
									"desc" => "Отключает вывод мета-тегов Generator в секции HEAD вашего сайта.",
									"id" => $shortname."_disable_generator",
									"std" => "",
									"type" => "checkbox");	

	$framework_options[] = array( 	"name" => "ID супер-админа",
									"desc" => "Добавьте ID главного пользователя в это поле, чтобы скрыть панель настройки Фреймворка от других пользователей. Может быть сброшено со страницы <code>wp-admin/options.php</code> для <em>framework_woo_super_user</em>.",
									"id" => $shortname."_super_user", 
									"std" => "",
									"class" => "mini",
									"type" => "text");		
										
	$framework_options[] = array( 	"name" => "Картинка-заполнитель",
									"desc" => "Установите картинку, которая будет использоваться по-умолчанию, если не указана миниатюра записи.",
									"id" => $shortname."_default_image",
									"std" => "",
									"type" => "upload");

	$framework_options[] = array( 	"name" => "Брендирование (Branding)",
									"type" => "heading");
	
	$framework_options[] = array( 	"name" => "Настройка шапки",
									"desc" => "Измените картинку для шапки в настройках WooThemes.",
									"id" => $shortname."_backend_header_image",
									"std" => "",
									"type" => "upload");
									
	$framework_options[] = array( 	"name" => "Настройка иконки",
									"desc" => "Измените иконку для бокового меню WordPress.",
									"id" => $shortname."_backend_icon",
									"std" => "",
									"type" => "upload");
									
	$framework_options[] = array( 	"name" => "Импорт настроек (Import)",
									"type" => "heading");
									
	$framework_options[] = array( 	"name" => "Импорт настрек из другой инсталляции WooThemes",
									"desc" => "Вы можете перенести опции с другой темы WooThemes (такой же) в эту, скопировав код экспорта и добавив его сюда. Лучше всего работает, когда используются две идентичные темы.",
									"id" => $shortname."_import_options",
									"std" => "",
									"type" => "textarea");
									
	$framework_options[] = array( 	"name" => "Экспорт настроек (Export)",
									"type" => "heading");
									
								//Create, Encrypt and Update the Saved Settings
                                global $wpdb;
								delete_option('framework_woo_export_options');
                                $options = get_option('woo_template');
                                $query_inner = '';
                                $count = 0;
								foreach($options as $option){
									
									if(isset($option['id'])){ 
										$count++;
										$option_id = $option['id'];
										
										if($count > 1){ $query_inner .= ' OR '; }
										$query_inner .= "option_name = '$option_id'";
									}
								}
								
								$query = "SELECT * FROM $wpdb->options WHERE $query_inner";
								                                
                                $results = $wpdb->get_results($query);
                                
                                foreach ($results as $result){
                                
                                     $output[$result->option_name] = $result->option_value;
                                
                                }
                                $output = serialize($output);										
													
	$framework_options[] = array( 	"name" => "Используйте код ниже, чтобы экспотировать настройки этой темы в другую тему",
									"desc" => "Вы можете перенести опции в другую тему WooThemes (такую же) из этой, скопировав этот код экспорта. Лучше всего работает, когда используются две идентичные темы.",
									"id" => $shortname."_export_options",
									"std" => base64_encode($output),
									"type" => "textarea");
									
	$framework_options[] = array( 	"name" => "Комплекты шрифтов (Бета) (Fonts)",
									"type" => "heading");		
	
	$framework_options[] = array( 	"name" => "Менеджер шрифтов",
									"desc" => "Используйте менеджер шрифтов, чтобы добавить пользовательские шрифты в тему.
									Чтобы создать новый шрифт, заполните имя и комплект шрифта CSS.
									Как только вы добавили комплект шрифтов, вы можете выбрать его из меню шрифтов в настройках темы.",
									"id" => $shortname."_font_stack", 
									"std" => "Добавленные комплекты шрифтов",
									"type" => "string_builder");
	
						
	
					
	update_option('woo_framework_template',$framework_options);

    
	?>

    <div class="wrap" id="woo_container">
    <div id="woo-popup-save" class="woo-save-popup"><div class="woo-save-save">Настройки сохранены</div></div>
    <div id="woo-popup-reset" class="woo-save-popup"><div class="woo-save-reset">Настройки сброшены</div></div>
        <form action="" enctype="multipart/form-data" id="wooform">
            <div id="header">
                <div class="logo">
                <?php if(get_option('framework_woo_backend_header_image')) { ?>
                <img alt="" src="<?php echo get_option('framework_woo_backend_header_image'); ?>"/>
                <?php } else { ?>
                <img alt="WooThemes" src="<?php echo bloginfo('template_url'); ?>/functions/images/logo.png"/>
                <?php } ?>
                </div>
                <div class="theme-info">
                    <span class="theme"><?php echo $themename; ?> <?php echo $local_version; ?></span>
                    <span class="framework">Фреймворк <?php echo $woo_framework_version; ?></span>
                </div>
                <div class="clear"></div>
            </div>
            <div id="support-links">
                <ul>
                    <li class="changelog"><a title="Журнал изменений" href="<?php echo $manualurl; ?>#Changelog">Журнал изменений</a></li>
                    <li class="docs"><a title="Документация" href="<?php echo $manualurl; ?>">Документация</a></li>
                    <li class="forum"><a href="http://forum.woothemes.com" target="_blank">Форум</a></li>
                    <li class="right"><img style="display:none" src="<?php echo bloginfo('template_url'); ?>/functions/images/loading-top.gif" class="ajax-loading-img ajax-loading-img-top" alt="Выполняем..." /><a href="#" id="expand_options">[+]</a> <input type="submit" value="Сохранить все изменения" class="button submit-button" /></li>
                </ul>
            </div>
            <?php $return = woothemes_machine($framework_options); ?>
            <div id="main">
                <div id="woo-nav">
                    <ul>
                        <?php echo $return[1]; ?> 
                    </ul>		
                </div>
                <div id="content">
   				<?php echo $return[0]; ?> 
                </div>
                <div class="clear"></div>
                
            </div>
            <div class="save_bar_top">
            <img style="display:none" src="<?php echo bloginfo('template_url'); ?>/functions/images/loading-bottom.gif" class="ajax-loading-img ajax-loading-img-bottom" alt="Выполняем..." />
            <input type="submit" value="Сохранить все настройки" class="button submit-button" />        
            </form>
            
             <form action="<?php echo wp_specialchars( $_SERVER['REQUEST_URI'] ) ?>" method="post" style="display:inline" id="wooform-reset">
            <span class="submit-footer-reset">
            <input name="reset" type="submit" value="Сбросить настройки" class="button submit-button reset-button" onclick="return confirm('Нажмите ОК, чтобы сбросить. Настройки будут потеряны! />
            <input type="hidden" name="woo_save" value="reset" /> 
            </span>
        	</form>
            
            
            </div>    
    
    <div style="clear:both;"></div>    
    </div><!--wrap-->

<?php } ?>