<?php
/*-----------------------------------------------------------------------------------*/
/* SEO - woothemes_seo_page */
/*-----------------------------------------------------------------------------------*/

function woothemes_seo_page(){

    $themename =  get_option('woo_themename');      
    $manualurl =  get_option('woo_manual'); 
	$shortname =  'seo_woo'; 
	
    //Framework Version in Backend Head
    $woo_framework_version = get_option('woo_framework_version');
    
    //Version in Backend Head
    $theme_data = get_theme_data(TEMPLATEPATH . '/style.css');
    $local_version = $theme_data['Version'];
    
    //GET themes update RSS feed and do magic
	include_once(ABSPATH . WPINC . '/feed.php');

	$pos = strpos($manualurl, 'documentation');
	$theme_slug = str_replace("/", "", substr($manualurl, ($pos + 13))); //13 for the word documentation
	
    //add filter to make the rss read cache clear every 4 hours
    add_filter( 'wp_feed_cache_transient_lifetime', create_function( '$a', 'return 14400;' ) );
	
	$inner_pages = array(	'a' => 'Заголовок страницы; Заголовок блога',
							'b' => 'Заголовок страницы;',
							'c' => 'Заголовок блога; Заголовок страницы;',
							'd' => 'Заголовок страницы; Описание блога',
							'e' => 'Заголовок блога; Заголовок страницы; Описание блога'
						);
	
	$seo_options = array();
	
	$seo_options[] = array( "name" => "Основное (Basic SEO)",
					"type" => "heading");
					
	$seo_options[] = array( "name" => "Пожалуйста, прочтите",
					"type" => "info",
					"std" => "Добро пожаловать в настройки WooSEO! <br /><small>Вы можете оптимизировать сайт для поисковых систем с помощью некоторых встроенных настроек. Однако наша тема поддерживает два самых популярных плагина WordPress.org: <strong>All-in-One SEO</strong> и <strong>Headspace 2</strong>. Отметьте галочкой, если хотите использовать сторонний плагин.</small>");

	$seo_options[] = array( "name" => "Использовать сторонний плагин",
					"desc" => "Мета-информация, добавленная в <strong>произвольные поля</strong> будет взята и использована, где это возможно. Это обычно не включает главную страницу и архивы, только одиночные записи.",	
					"id" => $shortname."_use_third_party_data",
					"std" => "false",
					"type" => "checkbox"); 
					
	$seo_options[] = array( "name" => "Спрятать произвольные поля для SEO",
					"desc" => "Отметьте галочкой, если хотите спрятать произвольные поля, созданные для добавления мета-информации во время редактирования записи.",	
					"id" => $shortname."_hide_fields",
					"std" => "false",
					"type" => "checkbox"); 
				
	$seo_options[] = array( "name" => "Метка-Заголовок (Title)",
					"type" => "heading");
					
	$seo_options[] = array( "name" => "Разделитель",
					"desc" => "Укажите разделитель для заголовков.",
					"id" => $shortname."_seperator",
					"std" => "|",
					"type" => "text");
					
	$seo_options[] = array( "name" => "Заголовок блога",
					"desc" => "Внимание: это такая же настройка как в меню Настройки > Общее в админке WordPress.",
					"id" => "blogname",
					"std" => "",
					"type" => "text");
					
	$seo_options[] = array( "name" => "Описание блога",
					"desc" => "Внимание: это такая же настройка как в меню Настройки > Общее в админке WordPress.",
					"id" => "blogdescription",
					"std" => "",
					"type" => "text");
					
	$seo_options[] = array( "name" => "Включить woo_title()",
					"desc" => "woo_title() использует встроенную функцию WordPress wp_title() для контроля за выводом мета-заголовков. Эта опция также рекомендуется для использования совместно с плагинами.",
					"id" => $shortname."_wp_title",
					"std" => "false",
					"class" => "collapsed",
					"type" => "checkbox"); 
					
	$seo_options[] = array( "name" => "Отключить пользовательские заголовки",
					"desc" => "Если вы предпочитаете стандартные заголовки. Иначе они будут сгенерированы из информации указаной в произвольных полях и через плагины.",
					"id" => $shortname."_wp_custom_field_title",
					"std" => "false",
					"class" => "hidden",
					"type" => "checkbox"); 
					
	$seo_options[] = array( "name" => "Текст для постраничной навигации",
					"desc" => "Текст, который будет показан в мета-заголовках, если используется разбивка по страницам.",
					"id" => $shortname."_paged_var",
					"std" => "Страница",
					"class" => "hidden",
					"type" => "text");
					
	$seo_options[] = array( "name" => "Позиция текста для постраничной навигации",
					"desc" => "Измените позицию, где должен быть показан текст для постраничной навигации.",
					"id" => $shortname."_paged_var_pos",
					"std" => "before",
					"class" => "hidden",
					"options" => array(	'before' => 'До',
										'after' => 'После'),
					"type" => "select2");
																
	$seo_options[] = array( "name" => "Структура заголовка на главной",
					"desc" => "Выберите порядок отображения заголовка и описания.",
					"id" => $shortname."_home_layout",
					"std" => "",
					"class" => "hidden",
					"options" => array(	'a' => 'Заголовок блога; описание блога',
										'b' => 'Заголовок блога',
										'c' => 'Описание блога'),
					"type" => "select2");
					
	$seo_options[] = array( "name" => "Структура заголовка для записей",
					"desc" => "Выберите порядок отображения заголовка, описания и т.д.",
					"id" => $shortname."_single_layout",
					"std" => "",
					"class" => "hidden",
					"options" => $inner_pages,
					"type" => "select2");
					
	$seo_options[] = array( "name" => "Структура заголовка для статических страниц",
					"desc" => "Выберите порядок отображения заголовка, описания и т.д.",
					"id" => $shortname."_page_layout",
					"std" => "",
					"class" => "hidden",
					"options" => $inner_pages,
					"type" => "select2");
					
	$seo_options[] = array( "name" => "Структура заголовка для архивов",
					"desc" => "Выберите порядок отображения заголовка, описания и т.д.",
					"id" => $shortname."_archive_layout",
					"std" => "",
					"class" => "hidden",
					"options" => $inner_pages,
					"type" => "select2");
					
	$seo_options[] = array( "name" => "Индексация (Indexing)",
					"type" => "heading");
					
	/*$seo_options[] = array( "name" => "Add Indexing Meta",
					"desc" => "Add links to the header telling the search engine what the start, next, previous and home urls are.",
					"id" => $shortname."_meta_basics",
					"std" => "false",
					"type" => "checkbox"); */
	
	$seo_options[] = array( "name" => "Индексация архивов",
					"desc" => "Выберите архивы для индексации поисковой системой Google. Помогает избежать дублирования контента.",
					"id" => $shortname."_meta_indexing",
					"std" => "category",
					"type" => "multicheck",
					"options" => array(	'category' => 'Рубрики',
										'tag' => 'Архивы меток',
										'author' => 'Архивы авторов',
										'search' => 'Результаты поиска',
										'date' => 'Хронологические архивы')); 
										
	$seo_options[] = array( "name" => "Добавлять follow для записей и страниц по-умолчанию",
					"desc" => "По-умолчанию woo_meta(); добавляет nofollow для записей и страниц, это означает, что поисковые системы типа Google не будут индексировать ссылки на этих страницах.",
					"id" => $shortname."_meta_single_follow",
					"std" => "",
					"type" => "checkbox");					
	

	$seo_options[] = array( "name" => "Мета-писание (Description)",
					"type" => "heading");
					
	$seo_options[] = array( "name" => "Описание главной страницы",
					"desc" => "Выберите, какое использовать мета-описание для главной страницы.",
					"id" => $shortname."_meta_home_desc",
					"std" => "a",
					"options" => array(	"a" => "Отключено",
										"b" => "Из настроек WP",
										"c" => "Из пользовательского описания для главной страницы"),
					"type" => "radio");
										
	$seo_options[] = array( "name" => "Пользовательское описание главной страницы",
					"desc" => "Задать мета-описание для главной страницы.",
					"id" => $shortname."_meta_home_desc_custom",
					"std" => "",
					"type" => "textarea");
	
	$seo_options[] = array( "name" => "Описание записей/страниц",
					"desc" => "Добавляет описание для записей/страниц из произвольных полей. <strong>* Смотрите ниже</strong>",
					"id" => $shortname."_meta_single_desc",
					"std" => "a",
					"options" => array(	"a" => "Отключено *",
										"b" => "Из произвольных полей и/или Плагинов",
										"c" => "Автоматически из содержания записи/страницы",
										),
					"type" => "radio");
					
	$seo_options[] = array( "name" => "Глобальное описание для записей/страниц",
					"desc" => "Добавьте пользьвателськое мета-описание для записей/страниц. Оно будет показано, если не доступна никакая другая информация. Будет добавлено также если настройки выше имеют статус \"Отключено\".",
					"id" => $shortname."_meta_single_desc_sitewide",
					"std" => "",
					"class" => "collapsed",
					"type" => "checkbox");		
					
	$seo_options[] = array( "name" => "Добавить глобальное описание",
					"desc" => "Добавьте сюда глобальное описание.",
					"id" => $shortname."_meta_single_desc_custom",
					"std" => "",
					"class" => "hidden",
					"type" => "textarea");
										
	$seo_options[] = array( "name" => "Мета-теги (Keywords)",
					"type" => "heading");
					
	$seo_options[] = array( "name" => "Мета-теги для главной",
					"desc" => "Выберите откуда брать мета-теги.",
					"id" => $shortname."_meta_home_key",
					"std" => "a",
					"options" => array(	"a" => "Отключено",
										"c" => "Из пользовательских тегов для главной"),
					"type" => "radio");
										
	$seo_options[] = array( "name" => "Пользовательские теги для главной",
					"desc" => "Добавльте список ключевых слов для главной страницы, разделенных запятыми.",
					"id" => $shortname."_meta_home_key_custom",
					"std" => "",
					"type" => "textarea");
	
	$seo_options[] = array( "name" => "Ключевые слова для записи/страницы",
					"desc" => "Использовать ключевые слова из произвольных полей записи/страницы. <strong>* Смотрите ниже</strong>",
					"id" => $shortname."_meta_single_key",
					"std" => "a",
					"options" => array(	"a" => "Отключено *",
										"b" => "Из произвольных полей и/или Плагинов",
										"c" => "Автоматически из меток и рубрик"),
					"type" => "radio");
					
	$seo_options[] = array( "name" => "Глобальные пользовательские теги для записи/страницы",
					"desc" => "Добавьте глобальные пользовательские ключевые слова для записи/страницы. Они будут показаны, если не доступна никакая другая информация. Будут добавлены также если настройки выше имеют статус \"Отключено\".",
					"id" => $shortname."_meta_single_key_sitewide",
					"std" => "",
					"class" => "collapsed",
					"type" => "checkbox");		
					
	$seo_options[] = array( "name" => "Добавить пользовательские ключевые слова записи/страницы",
					"desc" => "Введите глобальные ключевые слова для записи/страницы здесь.",
					"id" => $shortname."_meta_single_key_custom",
					"std" => "",
					"class" => "hidden",
					"type" => "textarea");
					
					
	update_option('woo_seo_template',$seo_options);
					
    
	?>

    <div class="wrap" id="woo_container">
    <?php
    
    	if(		class_exists('All_in_One_SEO_Pack')
    		|| 	class_exists('Headspace_Plugin')) { 
				
			echo "<div id='woo-seo-notice' class='woo-notice'><p><strong>Обнаружены сторонние плагины</strong> - Некоторые функции WooTheme SEO были отключены.</p></div>";
						
		}
    
    ?>  
    <?php
    
    	if ( get_option('blog_public') == 0 ) { 
				
			echo "<div id='woo-seo-notice-privacy' class='woo-notice'><p><strong>Этот сайт находится в Приватном статусе</strong> - SEO-настройки отключены, измените статус <a href='". admin_url() . "options-privacy.php'>здесь</a>.</p></div>";
						
		}
    
    ?>  
    <div id="woo-popup-save" class="woo-save-popup"><div class="woo-save-save">Настройки обновлены</div></div>
    <div id="woo-popup-reset" class="woo-save-popup"><div class="woo-save-reset">Настройки сброшены</div></div>
        <form action="" enctype="multipart/form-data" id="wooform">
            <div id="header">
               <div class="logo">
                <?php if(get_option('framework_woo_backend_header_image')) { ?>
                <img alt="" src="<?php echo get_option('framework_woo_backend_header_image'); ?>"/>
                <?php } else { ?>
                <img alt="WooThemes" src="<?php echo bloginfo('template_url'); ?>/functions/images/logo.png"/>
                <?php } ?>
                </div>
                <div class="theme-info">
                    <span class="theme"><?php echo $themename; ?> <?php echo $local_version; ?></span>
                    <span class="framework">Фреймворк <?php echo $woo_framework_version; ?></span>
                </div>
                <div class="clear"></div>
            </div>
            <div id="support-links">
        
                <ul>
                   	<li class="changelog"><a title="Журнал изменений" href="<?php echo $manualurl; ?>#Changelog">Журнал изменений</a></li>
				<li class="docs"><a title="Документация" href="<?php echo $manualurl; ?>">Документация</a></li>
				<li class="forum"><a href="http://forum.woothemes.com" target="_blank">Форум</a></li>
                <li class="right"><img style="display:none" src="<?php echo bloginfo('template_url'); ?>/functions/images/loading-top.gif" class="ajax-loading-img ajax-loading-img-top" alt="Выполняем..." /><a href="#" id="expand_options">[+]</a> <input type="submit" value="Сохранить все изменения" class="button submit-button" /></li>
                </ul>
        
            </div>
            <?php $return = woothemes_machine($seo_options); ?>
            <div id="main">
                <div id="woo-nav">
                    <ul>
                        <?php echo $return[1]; ?>
                    </ul>		
                </div>
                <div id="content">
                <?php echo $return[0]; ?>
                </div>
                <div class="clear"></div>
                
            </div>
            <div class="save_bar_top">
            <img style="display:none" src="<?php echo bloginfo('template_url'); ?>/functions/images/loading-bottom.gif" class="ajax-loading-img ajax-loading-img-bottom" alt="Выполняем..." />
            <input type="submit" value="Сохранить изменения" class="button submit-button" />        
            </form>
            
             <form action="<?php echo wp_specialchars( $_SERVER['REQUEST_URI'] ) ?>" method="post" style="display:inline" id="wooform-reset">
            <span class="submit-footer-reset">
            <input name="reset" type="submit" value="Сбросить настройки" class="button submit-button reset-button" onclick="return confirm('Нажмите ОК, чтобы сбросить. Все настройки будут утеряны!');" />
            <input type="hidden" name="woo_save" value="reset" /> 
            </span>
        	</form>

            
            </div>

    
    
    <div style="clear:both;"></div>    
    </div><!--wrap-->

<?php } ?>